STRUCT FIRST(3)

NAME
boost::xpressive::op::first

SYNOPSIS

// In header: <boost/xpressive/regex_actions.hpp>
struct first {
  // member classes/structs/unions
  template<typename Sig>
  struct result {
  };
  template<typename This, typename Pair>
  struct result<This(Pair)> {
  };
  // public member functions
  template<typename Pair> Pair::first_type operator()(Pair const &) const;
};

DESCRIPTION

  first public member functions

    1.

    template<typename Pair> Pair::first_type operator()(Pair const & p) const;